# Theme customization

A proper documentation is coming but in the meantime you can checkout how the website [sspcloud.fr](https://www.sspcloud.fr/) have extended GitLanding by:

* [Defining it's custom style](https://github.com/InseeFrLab/www.sspcloud.fr/blob/main/src/app/theme.ts)
* To add internationalisation we recommend that you check out [i18nifty](https://docs.i18nifty.dev/). Follow the [link](https://github.com/InseeFrLab/www.sspcloud.fr) for an example project.

You can also checkout [`onyxai-ui`](https://github.com/garronej/onyxia-ui), the design toolkit onto which Gitlanding is built.

Note also that you can import any [mui v5](https://mui.com/) component in your GitLanding project. They will fit in nicely and blend in with your theme.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gitlanding.dev/v1/customization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
